Functions
Initialization and de-initialization functions
Peripheral Driver » LL Driver » DMA » Functions
Collaboration diagram for Initialization and de-initialization functions:

## Functions
error_status_t | ll_dma_deinit (dma_regs_t *DMAx, uint32_t channel)
| De-initialize the DMA registers to their default reset values. More...
error_status_t | ll_dma_init (dma_regs_t *DMAx, uint32_t channel, ll_dma_init_t *p_dma_init)
| Initialize the DMA registers according to the specified parameters in p_dma_init. More...
void | ll_dma_struct_init (ll_dma_init_t *p_dma_init)
| Set each field of a ll_dma_init_t type structure to default value. More...
error_status_t | ll_dma_hs_choice (dma_regs_t *DMAx, uint32_t src_peripheral, uint32_t dst_peripheral)
| Initialize the DMA HS choice according to the specified parameters. More...

## Detailed Description

## Function Documentation

## ◆ ll_dma_deinit()

error_status_t ll_dma_deinit | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

De-initialize the DMA registers to their default reset values.

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  An | error_status_t enumeration value: SUCCESS: DMA registers are de-initialized ERROR: DMA registers are not de-initialized

## ◆ ll_dma_hs_choice()

error_status_t ll_dma_hs_choice | ( | dma_regs_t * | DMAx,
|  | uint32_t | src_peripheral,
|  | uint32_t | dst_peripheral
| ) |  |

Initialize the DMA HS choice according to the specified parameters.

Parameters

  DMAx | DMAx instance
  src_peripheral | src_peripheral
  dst_peripheral | dst_peripheral

Return values

  An | error_status_t enumeration value: SUCCESS: DMA hs choice are initialized ERROR: Error DMA instance

## ◆ ll_dma_init()

error_status_t ll_dma_init | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel,
|  | ll_dma_init_t * | p_dma_init
| ) |  |

Initialize the DMA registers according to the specified parameters in p_dma_init.

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7
  p_dma_init | pointer to a ll_dma_init_t structure.

Return values

  An | error_status_t enumeration value: SUCCESS: DMA registers are initialized ERROR: Not applicable

## ◆ ll_dma_struct_init()

void ll_dma_struct_init | ( | ll_dma_init_t * | p_dma_init | ) |

Set each field of a ll_dma_init_t type structure to default value.

Parameters

  p_dma_init | Pointer to a ll_dma_init_t structure whose fields will be set to default values.

Return values

  None |